[blfs-support] compilation error in Kde-workspace-4.11.21

Ken Moffat zarniwhoop at ntlworld.com
Sun Mar 6 10:45:00 PST 2016


On Sun, Mar 06, 2016 at 12:22:17PM -0600, Bruce Dubbs wrote:
> Dr.-Ing. Edgar Alwers wrote:
> >
> >2.) I mounted the new BLFS partition in /mnt and compiled kde-
> >workspace-4.11.21 according to the actual book from an older partition,
> >equiped with kde-libs, pim, pimlibs etc. 4.14.1. There were no problems, the
> >compilation went through smoothly!
> >
> >3.) in a second pc, same system as my first one, I built also
> >workspace-4.11.21 without problems.
> >
> >Any ideas ?
> >
> >And a dumb question: could I install the workspace compiled under 2.) out from
> >the BLFS partition ?
> 
> I do not see a problem with that, but please note that we are planning on
> dropping KDE4 after the next BLFS stable release, hopefully in a day or two.
> 
>   -- Bruce
> 
Since Edgar doesn't follow the -dev list, I'll mention here that (at
the end of Febrauary through to last Monday night) I was attempting
to test kde4.  Along the way, I got several build problems, as well
as a runtime problem with kmix - Bruce eventually did the testing
and did not see the problems I had experienced.

I finally gave up because I was told that mariadb (default for
akonadi - I failed to persuade it to use sqlite) needed to be
compiled _before_ qt4 : when I tried to rebuild qt4, it failed
(details in the thread).

It seems to me that kde4 (and very likely kde5 too) are problematic
on some machines or with certain combinations of packages.  No idea
why.

ĸen
-- 
This email was written using 100% recycled letters.


More information about the blfs-support mailing list